aboutsummaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
new file mode 100755
index 0000000..fa385f4
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# Use e.g. `direnv` to set the deploy variables
+
+set -euxo pipefail
+
+IMAGE=${OCI_REGISTRY}/gdrive-photo-gallery:latest
+
+# Build
+docker build --progress plain --platform linux/amd64 -t "$IMAGE" .
+docker push "$IMAGE"
+
+# Deploy
+ssh "${SSH_SERVER}" "${UPDATE_COMMAND}"